Board index FlightGear The FlightGear project

Flight Gear 0.98 / Flight Gear Legacy version

Questions about the FlightGear organisation, website, wiki etc.

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Gijs » Sat Mar 30, 2013 9:11 am

flywisher wrote:I've stopped upgrading FG on my desktop machine because I cannot use FG's shaders at all, or I get frame rates of 2 fps. Unusable. So the recent improvements are simply not available to me.

A new release includes more than additional shaders! Thanksto optimizations and bug fixes, the latest release runs better when everything is switched off than old releases. The defaults just have gone up, so you'll need to change some settings for a fair comparison with old releases.

So I'd advise you to update. ;-)
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9364
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby flywisher » Sat Mar 30, 2013 8:26 pm

Thank you Gijs. I'll try that.
flywisher
 
Posts: 133
Joined: Mon Jun 01, 2009 2:37 am
Location: San Diego, CA USA
Callsign: flywisher
OS: XP, Vista, Mint

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Hooray » Sat Mar 30, 2013 10:34 pm

IF you experience crashes or extreme lag when using a recent FG version on your old version, check out: http://wiki.flightgear.org/Howto:Debugg ... ar_Crashes
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11329
Joined: Tue Mar 25, 2008 8:40 am

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Curtis » Wed Apr 17, 2013 6:10 am

this is an interesting thread, because I have a very old laptop ( bought in 2003, pentium 4 2.4 Ghz, 1.2 Gb ram, ati radeon 9000 AGP ),

my laptop is unable to run flightgear/OSG ( 2.x.x ) because these versions require a graphic card who must support openGL 2.1 version, my graphic card only supports openGL 1.3 :(

so only flightgear 1.0.0 ( and 0.9.x ) versions can run with my laptop,

but there is another problem: I tried to compile the 1.0.0 source code of flightgear ( with simgear 1.0.0 ), I get a binary but it fails to start because I use arch linux who uses the most recent libraries ( a rolling release OS ), I get a segfault error ( Xorg error ), something is incompatible in the 1.0.0 source code when we use a rolling release OS like arch linux :

Code: Select all
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
  Serial number of failed request:  126
  Current serial number in output stream:  126
pure virtual method called

Uncaught Exception: you should see a meaningful error message
here, but your GLUT (or SDL) library was apparently compiled
and/or linked without exception support. Please complain to
its provider!

~/bin/test_fg : ligne 3 :   709 Abandon                 (core dumped)fgfs --aircraft=c172p --airport=KFSO


if I use a very old linux OS ( mandriva 2007.1 ) flightgear 1.0.0 works without problem with my laptop, but I need a fixed version of FG 1.0.0 for running with more modern linux OS, so for those who want a lite version of flightgear it will be a good idea to fix the source code of the 1.0.0 version in order to run with the most recent version of graphic libraries ( Xorg, Mesa, plib, freeglut ), it would be great if someone can create some patches for the 1.0.0 source code of flightgear
Curtis
 
Posts: 105
Joined: Wed Jun 17, 2009 3:09 pm
OS: archlinux 64 bits

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Hooray » Wed Apr 17, 2013 9:56 am

We have enough problems in recent FG versions, even maintaining versions <= 2.8 will be difficult - so please don't hold your breath, it seems fairly unlikely for anybody to cater to such a limited use-case. See my earlier postings in your original thread, it would probably be better to determine if/how and where exactly our source code really requires OpenGL 2.0 and check if certain workarounds can be made here to be a little more forgiving/portable.

Now regarding your particular error message, I can't help but suggest that you check out the following thread:
viewtopic.php?f=46&t=9516&p=95698&hilit=forward+compatibility#p95615
Last edited by Hooray on Wed Apr 17, 2013 1:04 pm, edited 1 time in total.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11329
Joined: Tue Mar 25, 2008 8:40 am

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Curtis » Wed Apr 17, 2013 12:53 pm

thanks for your answer,

Hooray wrote in Wed Apr 17, 2013 9:56 am:it would probably be better to determine if/how and where exactly our source code really requires OpenGL 2.0 and check if certain workarounds can be made here to be a little more forgiving/portable.


flightgear 2.x.x seems to use massively openGL 2.x features ( for me it crashes a few seconds after the display of the splash screen, I will build a debug version of flightgear 2.10.0 and I will use gdb to see where exactly the first openGL 2.1 command is called ),

but even if flightgear 2.x.x runs with my old laptop the performance may be weak ( low framerates ), my CPU and graphic card are not the ideal requirement for modern 3D games, a legacy version of flightgear ( 0.9.x, 1.0.0 ) still remains the best option because of his simplicity,

maybe the culprit is the "openscenegraph" API, not really optimized for old hardware like my laptop
Curtis
 
Posts: 105
Joined: Wed Jun 17, 2009 3:09 pm
OS: archlinux 64 bits

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Hooray » Wed Apr 17, 2013 1:05 pm

it is very well possible that this is OSG related, best to get in touch with them via the osg-users forum/list:
http://forum.openscenegraph.org/
http://lists.openscenegraph.org/listinf ... egraph.org
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11329
Joined: Tue Mar 25, 2008 8:40 am

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby openflight » Mon Nov 04, 2013 4:05 pm

I am still using FG 0.98 and I like seeing the shadows and stuff. I cannot, however get fgfs.exe running from the WINE command line (WINE cmd) so I have decided to try to install an older version (remember my hardwre dates back to 2004) in Ubuntu 10.04 LTS.

How do I do this? I do n0ot want to use Synaptic again to download some 200 MB . SInce I change OS s so often and want to experiment, I want to have 'instaalation files' or packages saved to CD so I can install it every time.

I was unable to find the 0.98 repositories, .deb or .rpm.

So I got myself to here https://launchpad.net/ubuntu/karmic/i38 ... 1-1ubuntu1

downloaded the .deb and running it now
openflight
 
Posts: 350
Joined: Fri Sep 16, 2011 11:14 am
Version: 1.0
OS: Lubuntu 16.04LTS

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby openflight » Tue Dec 03, 2013 12:00 am

Looks like some people will be using FG 9x-1.0 for several years into the near future. I am in the process of contributing to these versions. Let's give it a time- frame - until 2020. After that, will have to port the aircraft and scenery upwards - or improve the version 15x aircraft that will probably still be featured with holes in the instrument panels, unless a wider effort is made to improve aircraft across the board- will come to that in another post.

In a way, the problem is outside the FG system - the trend is to consume better and more expensive hardware, instead of making do with existing resources, to the detriment of the environment. I am running on hardware destined for a landfill and an 8GB pen drive. I saw a P4 box for $10 on ebay the other day.

I saw the post on 'Download sizes' of FG - even where I live the trend is to download large gigabyte files every month until the quota runs out, something that I do not do since I respect intellectual property. It means that a 1 time 900 MB download is nothing. So FG 2x+ download sizes ..3.0 is out? - will get bigger and bigger.

I guess society is to blame?
openflight
 
Posts: 350
Joined: Fri Sep 16, 2011 11:14 am
Version: 1.0
OS: Lubuntu 16.04LTS

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby Johan G » Wed Dec 04, 2013 12:31 pm

openflight wrote in Tue Dec 03, 2013 12:00 am:...even where I live the trend is to download large gigabyte files every month until the quota runs out, something that I do not do since I respect intellectual property...

I guess society is to blame?

I have the feeling that society at large have gotten less respect not only for intellectual property but other things as well.* For instance how many people drive at illegal speeds unless there are speed cameras and obvious speed controls compared to just 20 years ago? When will people in general have as little respect for their neighbours property as for the property of a big company on a another continent? One generation? Two generations? :(

While I do believe that some corporations would like to monopolise culture or sometimes even creativity, there is better ways to handle things than breaking the law. One really good thing to do, as I see it, is to teach your (and others) children to have respect for laws, by our example, both in following an upholding the laws, and by showing that great things can be done in a legal way, like contributing to this wonderful project (and not forget to have some fun doing it). :)

* Maybe it is having children grow up in large groups rather than with siblings, friends and a loving mother, but who knows?
Low-level flying — It's all fun and games till someone looses an engine. (Paraphrased from a YouTube video)
Improving the Dassault Mirage F1 (Wiki, Forum, GitLab. Work in slow progress)
Johan G
Moderator
 
Posts: 5509
Joined: Fri Aug 06, 2010 5:33 pm
Location: Sweden
Callsign: SE-JG
IRC name: Johan_G
Version: 3.0.0
OS: Windows 7, 32 bit

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby openflight » Sat Dec 14, 2013 4:21 am

I am also somewhat concerned that shooting games are more popular than flight sims/ car racing / any other simulators.

Is this accurate? The following link says that football manager is the most popular....

http://www.videogamer.com/top-games/pc- ... ll-time/2/
openflight
 
Posts: 350
Joined: Fri Sep 16, 2011 11:14 am
Version: 1.0
OS: Lubuntu 16.04LTS

Re: Flight Gear 0.98 / Flight Gear Legacy version

Postby bugman » Fri May 31, 2019 11:41 am

@openflight: I have split your posts on "Flight Gear One" into a new thread solely on that subject:


Regards,
Edward
bugman
Moderator
 
Posts: 1696
Joined: Thu Mar 19, 2015 9:01 am
Version: next

Previous

Return to The FlightGear project

Who is online

Users browsing this forum: No registered users and 10 guests